subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lev Serebryakov <...@FreeBSD.org>
Subject subversion 1.9.2 could not be built "all-static" on FreeBSD 10+
Date Sat, 17 Oct 2015 20:32:53 GMT
Hello Users,

 I could not build subversion 1.9.2 with "--enable-all-static" on FreeBSD.
"configure" script forms wron arguments to ${CC} in this case and fails to
find any library.

 Here is couple of lines from config.log for 1.9.2:

configure:6130: checking for sqlite3_close in -lsqlite3
configure:6155: cc -o conftest -Werror=unknown-warning-option -O2 -pipe  -fpic -DPIC -fstack-protector
-fno-strict-aliasing      -I/usr/local/include  -fstack-protector  -L/usr/local/lib -L/usr/local/lib
 -L/usr/local/lib -R/usr/local/lib       -L/usr/local/lib -R/usr/local/lib           -L/usr/local/lib
conftest.c -lsqlite3   >&5
cc: error: unknown argument: '-R/usr/local/lib'
cc: error: unknown argument: '-R/usr/local/lib'
configure:6155: $? = 1

 And here are SAME lines from 1.8.14:

configure:5956: checking for sqlite3_close in -lsqlite3
configure:5981: cc -o conftest -Werror=unknown-warning-option -O2 -pipe  -fpic -DPIC -fstack-protector
-fno-strict-aliasing      -I/usr/local/include  -fstack-protector  -L/usr/local/lib -L/usr/local/lib
conftest.c -lsqlite3   >&5
configure:5981: $? = 0

 As you can see, 1.9.2 adds "-R" which is NOT supported on FreeBSD 10+!

 I could not find proper place to patch this issue :-(

-- 
Best regards,
 Lev                          mailto:lev@FreeBSD.org


Mime
View raw message